local sti = require "lib/Simple-Tiled-Implementation"
local Map = {}

function Map:init(tmx, width, height)
    self.width = width
    self.height = height

    self.map = sti.new(tmx)
end

function Map:initObjectLayer(world)
    for k, v in pairs(self.map["layers"]["Objektebene 1"]["objects"]) do
        world:add(v, v["x"], v["y"], v["width"], v["height"])
    end
end

function Map:update(dt, l,t,w,h)
    self.map:update(dt)
end

function Map:draw(drawDebug, l,t,w,h)
    self.map:draw()
end

return Map